#
# spec file for package adjtimex
#
# Copyright (c) 2022-2023 ZhuningOS
#


Name:           adjtimex
Version:        1.29
Release:        1.26
Summary:        Kernel time variables configuration utility
License:        GPL-2.0+
Group:          System/Base
Source:         http://ftp.debian.org/debian/pool/main/a/adjtimex/%{name}_%{version}.orig.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Provides:       util-linux:/usr/sbin/adjtimex

%description
This program gives you raw access to the kernel time variables. For
a machine connected to the Internet, or equipped with a precision
oscillator or radio clock, the best way to keep the system clock
correct is with ntpd. However, for a standalone or intermittently
connected machine, you may use adjtimex instead to at least correct
for systematic drift. adjtimex can optionally adjust the system clock
using the CMOS clock as a reference, and can log times for long-term
estimation of drift rates.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
install -d %{buildroot}%{_sbindir} %{buildroot}%{_mandir}/man8
install adjtimex %{buildroot}%{_sbindir}/
install -m0644 adjtimex.8 %{buildroot}%{_mandir}/man8/

%files
%defattr(-,root,root)
%doc COPYING COPYRIGHT
%{_sbindir}/adjtimex
%{_mandir}/man8/adjtimex.8*

%changelog
